Megjelent a Joomla! 3.8.8-as kiadása. Ez egy hibajavító kiadás a Joomla! 3-as sorozatához, amely 9 biztonsági javítást és további 50 hibajavítást tartalmaz.

Mit tartalmaz a 3.8.8?

A Joomla 3.8.8 kilenc biztonsági javítást, valamint számos hibajavítást tartalmaz, többek között:

Biztonsági javítások

  • Alacsony prioritású  - Rendszer - ACL megsértése a hozzáférési szinteken (érintett verziók: Joomla 2.5.0 - 3.8.7) További információk »
  • Alacsony prioritású -  Rendszer - Phar fájlok hozzáadása a feltöltési feketelistához (érintett verziók: Joomla 2.5.0 - 3.8.7) További információk »
  • Közepes prioritású -  Rendszer - Információ közzététele a nem közzétett címkékről (érintett verziók: Joomla 3.1.0 - 3.8.7) További információk »
  • Alacsony prioritású -  Rendszer - A telepítő egyszerű szövegként szivárogtatja ki a jelszót a helyi felhasználónak (érintett verziók: Joomla 3.0.0 - 3.8.7) További információk »
  • Közepes prioritású -  Rendszer - XSS sebezhetőségek és további korlátozások (érintett verziók: Joomla 3.0.0 - 3.8.7) További információk »
  • Alacsony prioritású - Rendszer - A com_fields szűrőmező lehetővé teszi a távoli kódfuttatást (érintett verziók: Joomla 3.7.0 - 3.8.7) További információk »
  • Alacsony prioritású - Rendszer - A munkamenet törlési feltételenék megváltozása (érintett verziók: Joomla 3.0.0 - 3.8.7)  További információk »
  • Alacsony prioritású - Rendszer - Lehetséges XSS támadás az átirányítási metódusban (érintett verziók: Joomla 3.2.1 - 3.8.7)  További információk »
  • Alacsony prioritású - Rendszer - XSS sebezhetőség a Médiakezelőben (érintett verziók: Joomla 1.5.0 - 3.8.7)  További információk »

Hibajavítások

  • Különféle akadálymentesítási fejlesztések az adminisztrációs oldalon
  • CodeMirror szerkesztő frissítése 5.37 verzióra, valamint további számos fejlesztés #20269 #19833 #12542
  • A numerikus felhasználói csoport neveinek jobb kezelése #20091
  • [com_content] Szerző nélküli szűrési feltétel #20245
  • PHP 7.3 is_countable funkciójának támogatása #20441
  • A jelszavak e-mailben történő küldési szolgáltatása alapértelmezetten tilva lesz az új telepítések esetén #20247

A hibajavítások teljes listáját a GitHubon találod meg.

Frissített webhelybiztonsági ajánlások

A Joomla! biztonsági csapata felülvizsgálta, majd módosította az új Joomla telepítés alapértelmezett beállításait. Mivel ezek a módosítások csak az új telepítésekre vonatkoznak, ezért javasoljuk, hogy tekintsd át ezeket a változtatásokat, és frissítsd weboldalad.

A megváltozott beállítások a következők:

  • Globális konfiguráció > Szövegszűrők: Az alapértelmezett "Administrator" felhasználói csoport "Nincs szűrés" értékről "Alapértlemezett feketelista" értékre módosult.
  • Felhasználók > Jelszó megküldése: Alapértelmezés szerint letilltásra került az-az opció, hogy egy felhasználó jelszavát egyszerű szövegként küldje el a rendszer a fiók létrehozásakor.
  • Médiakezelő: Flash fájlok (az "swf" fájl kiterjesztés és az "application/x-shockwave-flash" MIME típus) nem engedélyezett feltöltéskor.
  • Cikkek > E-mail megjelenítése: Alapértelmezés szerint letiltásra került a cikkeknél az e-mail ikon megjelenítése.

A Joomla! fejlesztő csapata külön készítet a megváltozott beállításokról egy dedikált dokumentációs oldalt.

A hivatalos bejelentés megtekinthető a Joomla! kiadási oldalán. Az új csomagok a Letöltések menüpontból érhetők el. A magyar lokalizációt a belső nyelvtelepítő segítségével lehet feltelepíteni, míg az aktuális nyelvi fájl frissítését és a Joomla! új kiadását a belső bővítményfrissítőn keresztül.

0
0
0
s2sdefault
Bejelentkezés a hozzászóláshoz